Bug 1018671 - [deploy]Migration 2.0.35 failed for all gears due to undefined method `add_env_var' for OpenShift::GearUpgradeExtension
[deploy]Migration 2.0.35 failed for all gears due to undefined method `add_en...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Paul Morie
libra bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 03:06 EDT by Meng Bo
Modified: 2015-05-14 19:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:35:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade_error_for_gear (7.27 KB, text/plain)
2013-10-14 03:06 EDT, Meng Bo
no flags Details

  None (edit)
Description Meng Bo 2013-10-14 03:06:33 EDT
Created attachment 811879 [details]
upgrade_error_for_gear

Description of problem:
Create apps on devenv-stage_496, upgrade the server and run datastore migration. Try to upgrade the gears via oo-admin-upgrade, all gears will fail with following error:

"Caught an exception during upgrade: undefined method `add_env_var' for #<OpenShift::GearUpgradeExtension:0x000000034864a0>"

Version-Release number of selected component (if applicable):
devenv_3893

How reproducible:
always

Steps to Reproduce:
1.Create test data on devenv-stage_496
2.Upgrade the server and run compatible migration for datastore
3.Upgrade the gears via oo-admin-upgrade
# oo-admin-upgrade upgrade-node --version 2.0.35 --ignore-cartridge-version


Actual results:
Migration failed with following error in the log:

                "message": "undefined method `add_env_var' for #<OpenShift::GearUpgradeExtension:0x00000003403960>"


Expected results:
Gears should be upgraded successfully.

Additional info:
Full gear error log attached.
Comment 1 Meng Bo 2013-10-16 04:39:48 EDT
Issue fixed on devenv_3901, move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.